# Security Python Template
This template is used by the SecOps team to start off new projects.

## Getting started
Make sure this is run inside a git repo.
Install prereqs
```shell
pipenv shell
pipenv install -d isort mypy pylint pre-commit
pipenv install -d --pre black
```

Configure pre-commit
``` shell
pre-commit install
pre-commit autoupdate
```

Since this is the first time running any linters in your project, you probably want to run it against your whole project:
`pre-commit run --all-files`

Going forward, pre-commit and its hooks will be run ahead of every commit you make.

## Common issues
1. You really need to be inside a git repo or pre-commit will not work.
2. If you modify `pyproject.toml` make sure your syntax is correct; many linters will error in arcane ways due to an improperly titled section.
